/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

/**
 *
 * @author Carlos
 */
public class Objetivo {

    private String nombre;
    private String descripcion;
    private String importancia;
    private String urgencia;
    private String estado_desarrollo;
    private String estabilidad;
    static int n_instancia=0;
    private int numero_id;

    /**
     * @return the Nombre
     */
    public Objetivo(){
        n_instancia++;
        numero_id=n_instancia;
    }

    /**
     * @return the importancia
     */
    public String getImportancia() {
        return importancia;
    }

    /**
     * @param importancia the importancia to set
     */
    public void setImportancia(String importancia) {
        this.importancia = importancia;
    }

    /**
     * @return the urgencia
     */
    public String getUrgencia() {
        return urgencia;
    }

    /**
     * @param urgencia the urgencia to set
     */
    public void setUrgencia(String urgencia) {
        this.urgencia = urgencia;
    }

    /**
     * @return the estado_desarrollo
     */
    public String getEstado_desarrollo() {
        return estado_desarrollo;
    }

    /**
     * @param estado_desarrollo the estado_desarrollo to set
     */
    public void setEstado_desarrollo(String estado_desarrollo) {
        this.estado_desarrollo = estado_desarrollo;
    }

    /**
     * @return the estabilidad
     */
    public String getEstabilidad() {
        return estabilidad;
    }

    /**
     * @param estabilidad the estabilidad to set
     */
    public void setEstabilidad(String estabilidad) {
        this.estabilidad = estabilidad;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }
    //Rastreabilidad

    /**
     * @return the prioridad
     */

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the descripcion
     */
    public String getDescripcion() {
        return descripcion;
    }

    /**
     * @param descripcion the descripcion to set
     */
    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }
}
